## ros-kinetic-rr-openrover-simulation 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rr_openrover_simulation)

find_package(catkin REQUIRED)
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES rr_openrover_simulation
#  CATKIN_DEPENDS other_catkin_pkg
#  DEPENDS system_lib
)

install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
        FILES_MATCHING PATTERN "*.launch"
)

=== debian/changelog ===
ros-kinetic-rr-openrover-simulation (1.0.1-1xenial) xenial; urgency=high

  * updating packge dependencies
  * update package.xml rr_openrover_simulation to properly list gazebo rosdep
  * Contributors: padiln

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 15 Jun 2020 05:00:00 -0000

ros-kinetic-rr-openrover-simulation (1.0.0-1xenial) xenial; urgency=high

  * update simulation package version
  * Merge pull request #69 <https://github.com/RoverRobotics/rr_openrover_stack/issues/69> from RoverRobotics/feature/rook/gazebo-xcontroller
    Xbox controller input for Gazebo simulation
  * clean up launch files
  * fix file reference
  * ungroup launch files
  * Xbox controller input for Gazebo simulation
  * add world_name args to gazebo launch files
  * cleanup simulation launch files
  * adding rviz and gazebo simulation to rr_openrover stack
  * added support for gazebo and rviz simulation for 2wd and 4wd rovers
  * Contributors: William Rook, padiln

 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 08 Jun 2020 05:00:00 -0000

ros-kinetic-rr-openrover-simulation (0.8.0-1xenial) xenial; urgency=high



 -- Nick Padilla <nickpadilla@roverrobotics.com>  Wed, 25 Mar 2020 05:00:00 -0000

ros-kinetic-rr-openrover-simulation (0.7.4-1xenial) xenial; urgency=high



 -- Nick Padilla <nickpadilla@roverrobotics.com>  Wed, 19 Feb 2020 06:00:00 -0000

ros-kinetic-rr-openrover-simulation (0.7.3-1xenial) xenial; urgency=high



 -- Nick Padilla <nickpadilla@roverrobotics.com>  Mon, 14 Oct 2019 05:00:00 -0000

ros-kinetic-rr-openrover-simulation (0.7.2-1xenial) xenial; urgency=high



 -- Nick Padilla <nickpadilla@roverrobotics.com>  Thu, 18 Jul 2019 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-rr-openrover-simulation
Section: misc
Priority: optional
Maintainer: Nick Padilla <nickpadilla@roverrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-rr-openrover-simulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-msgs, ros-kinetic-gazebo-plugins, ros-kinetic-gazebo-ros, ros-kinetic-gazebo-ros-control, ros-kinetic-gazebo-ros-pkgs, ros-kinetic-std-msgs
Description: The rr_openrover_simulation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-rr-openrover-simulation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
